'''
Abstract Mailbox Parser class
@author: Peeter Jyrviste
'''

def abstract():
    import inspect
    caller = inspect.getouterframes(inspect.currentframe())[1][3]
    raise NotImplementedError(caller + ' must be implemented in subclass')

class AbstractMailboxParser:    
    def __init__(self, mailbox, outputFile):
        abstract()
    
    def displayMail(self):
        abstract()